Bug 507148 - qemu exits or aborts on error, destroying information that can help debug the problem
qemu exits or aborts on error, destroying information that can help debug the...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 05:17 EDT by Avi Kivity
Modified: 2014-03-25 20:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 04:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2009-06-21 05:17:13 EDT
Description of problem:

When the kvm kernel module returns an error (for example unhandled #VMEXIT), qemu will abort or exit, destroying any information that can help debug the problem.


Version-Release number of selected component (if applicable):

kvm-83-79.el5

How reproducible:

Difficult

Steps to Reproduce:
1.  Run a guest which will trigger an unhandled #VMEXIT (easy with a hacked kernel)
2.  Watch qemu disappear

  
Actual results:

qemu disappears

Expected results:

qemu stops and waits for someone to debug it
Comment 2 Dor Laor 2009-07-15 05:57:09 EDT
Need mgmt cooperation. Postponed for next release

Note You need to log in before you can comment on or make changes to this bug.